Attribute VB_Name = "Lumax_dll"


Public LumaxPunktNummer As Long
Public LumaxSpeed As Long
Public Lumax_API_Version As Long
Public LumaxDataOut(0 To 10) As Long
Public LumaxDataIn(0 To 10) As Long


' Benutzerdef Typ
Type tLumax_Punkt
    X0 As Byte
    X1 As Byte
    Y0 As Byte
    Y1 As Byte
    R0 As Byte
    R1 As Byte
    G0 As Byte
    G1 As Byte
    B0 As Byte
    B1 As Byte
    ch6l As Byte
    ch6h As Byte
    ch7l As Byte
    ch7h As Byte
    ch8l As Byte
    ch8h As Byte
    TTLl As Byte
    TTLh As Byte
End Type
Public LumaxDatenfeld(0 To 20000) As tLumax_Punkt


'***********************************************
'**** Dll Aufrufe fuer Lumax dll****************
'***********************************************

' Liefert Versionsnummer der DLL
Public Declare Function Lumax_GetApiVersion Lib "Lumax.dll" () As Integer

'Liefert die Anzahl angeschlossener LumaxKarten
Public Declare Function Lumax_GetPhysicalDevices Lib "Lumax.dll" () As Long   ' das c-integer entspricht dem vb Long??

' Reserviert fr zuknftige Entwicklungen
Public Declare Function Lumax_GetDeviceInfo Lib "Lumax.dll" (ByVal PhysicalDevice As Long) As Long

' ffnet ein Device, Gibt Handle zurck
Public Declare Function Lumax_OpenDevice Lib "Lumax.dll" (ByVal PhysicalDevice As Long, ByVal Channel As Long) As Long

' Schliet ein Device
Public Declare Function Lumax_CloseDevice Lib "Lumax.dll" (ByVal Handle As Long) As Long

' Sendet einen Laserframe an die Karte
Public Declare Function Lumax_SendFrame Lib "Lumax.dll" (ByVal Handle As Long, ByRef Points As tLumax_Punkt, ByVal NumOfPoints As Long, ByVal ScanSpeed As Long, ByVal UpdateMode As Long, ByVal TimeToWait As Long) As Long

' Wartet auf das Freiwerden des Empfangspuffers bzw. liefert dessen Status zurueck.
Public Declare Function Lumax_WaitForBuffer Lib "Lumax.dll" (ByVal Handle As Long, ByVal Timeout As Long, ByRef TimeToWait As Long, ByRef BufferChanged As Boolean) As Long

' Hault die Laserausgabe an. Alle Farbkanaule werden auf den Wert 0 gesetzt. X- und Y-Achse werden auf die Bildmitte positioniert. Alle TTL-Ausgaunge werden abgeschaltet.
Public Declare Function Lumax_StopFrame Lib "Lumax.dll" (ByVal Handle As Long) As Long

' Setzt die TTL Ausgnge
Public Declare Function Lumax_SetTTL Lib "Lumax.dll" (ByVal Handle As Long, ByVal TTL As Long) As Long

'Aktiviert bzw. deaktiviert den DMX512 Sender bzw. Empfaunger auf der Minilumax-Karte
'NULL als wert, byval bedeutet jeweils die fuktion Senden / Empfangen = Aus...
Public Declare Function Lumax_SetDmxMode Lib "Lumax.dll" (ByVal Handle As Long, ByVal NumOfTxChannels As Long, ByVal NumOfRxChannels As Long) As Long

' uebertraugt DMX512-Daten an den Ausgabepuffer der Minilumax-Karte.
Public Declare Function Lumax_SendDmx Lib "Lumax.dll" (ByVal Handle As Long, ByRef DmxBuffer As Byte, ByVal Length As Long) As Long

' empfaungt DMX512-Daten anus den Empfangspuffer der Minilumax-Karte.
Public Declare Function Lumax_ReceiveDmx Lib "Lumax.dll" (ByVal Handle As Long, ByRef DmxBuffer As Byte, ByVal Length As Long) As Long




